class ExamSettingSubmitBo {
  ExamSettingSubmitBo({
    this.aqzgPdNum,
    this.aqzgXzNum,
    this.aqyPdNum,
    this.aqyXzNum,
    this.aqzgIds,
    this.aqyIds,
    this.type,
  });

  ExamSettingSubmitBo.fromJson(dynamic json) {
    aqzgPdNum = json['aqzgPdNum'];
    aqzgXzNum = json['aqzgXzNum'];
    aqyPdNum = json['aqyPdNum'];
    aqyXzNum = json['aqyXzNum'];
    aqzgIds = json['aqzgIds'] != null ? json['aqzgIds'].cast<String>() : [];
    aqyIds = json['aqyIds'] != null ? json['aqyIds'].cast<String>() : [];
    type = json['type'];
  }

  int? aqzgPdNum;
  int? aqzgXzNum;
  int? aqyPdNum;
  int? aqyXzNum;
  List<String>? aqzgIds;
  List<String>? aqyIds;
  String? type;

  ExamSettingSubmitBo copyWith({
    int? aqzgPdNum,
    int? aqzgXzNum,
    int? aqyPdNum,
    int? aqyXzNum,
    List<String>? aqzgIds,
    List<String>? aqyIds,
    String? type,
  }) =>
      ExamSettingSubmitBo(
        aqzgPdNum: aqzgPdNum ?? this.aqzgPdNum,
        aqzgXzNum: aqzgXzNum ?? this.aqzgXzNum,
        aqyPdNum: aqyPdNum ?? this.aqyPdNum,
        aqyXzNum: aqyXzNum ?? this.aqyXzNum,
        aqzgIds: aqzgIds ?? this.aqzgIds,
        aqyIds: aqyIds ?? this.aqyIds,
        type: type ?? this.type,
      );

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['aqzgPdNum'] = aqzgPdNum;
    map['aqzgXzNum'] = aqzgXzNum;
    map['aqyPdNum'] = aqyPdNum;
    map['aqyXzNum'] = aqyXzNum;
    map['aqzgIds'] = aqzgIds;
    map['aqyIds'] = aqyIds;
    map['type'] = type;
    return map;
  }
}
